https://github.com/sphinx-doc/sphinxcontrib-applehelp/commit/fa863db1b187ed35acd05e44ade6f425e6b4f5d0
--- pyproject.toml.orig	2023-01-23 20:37:42
+++ pyproject.toml	2023-05-15 04:37:41
@@ -1,6 +1,6 @@
 [build-system]
-requires = ["setuptools>=64"]
-build-backend = "setuptools.build_meta"
+requires = ["flit_core>=3.7"]
+build-backend = "flit_core.buildapi"
 
 # project metadata
 [project]
@@ -13,7 +13,7 @@
 urls.Homepage = "https://www.sphinx-doc.org/"
 urls."Issue tracker" = "https://github.com/sphinx-doc/sphinx/issues"
 license.text = "BSD-2-Clause"
-requires-python = ">=3.8"
+requires-python = ">=3.6"
 
 # Classifiers list: https://pypi.org/classifiers/
 classifiers = [
@@ -56,8 +56,20 @@
 name = "Georg Brandl"
 email = "georg@python.org"
 
-[tool.setuptools.dynamic]
-version.attr = "sphinxcontrib.applehelp.__version__"
+[tool.flit.module]
+name = "sphinxcontrib.applehelp"
 
+[tool.flit.sdist]
+include = [
+    "CHANGES",
+    "LICENSE",
+    # Tests
+    "tests/",
+    "tox.ini",
+]
+exclude = [
+    "doc/_build",
+]
+
 [tool.mypy]
 ignore_missing_imports = true
